Home | All Classes | Grouped Classes | Index | Search

# Class CL_OutputSource_NetPacket

Output Source NetPacket Class. More...

Derived from: CL_OutputSource
Derived by: none
Group: Network (NetSessions)

#include <ClanLib/network.h>

Construction:

CL_OutputSource_NetPacket | Output Source NetPacket Constructor.

Attributes:

tell | Returns current position in output source.
size | Returns the size of the output source

Operations:

write | Writes larger amounts of data (no endian and 64 bit conversion):
open | Opens the output source. By default, it is open.
close | Closes the output source.
clone | Make a copy of the current outputsource, standing at the same position.

Detailed description:

!group=Network/NetSessions! !header=network.h!
Questions or comments, write to the ClanLib mailing list.